# 32/64bit spec-file
#
%define url_ver %(echo %{version} | cut -c 1-3)

Summary:	Time-managing application for Xfce desktop environment
Summary(de):	Zeitverwaltung für Xfce
Name:		orage
Version:	4.12.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://www.xfce.org
Source0:	http://archive.xfce.org/src/apps/orage/%{url_ver}/%{name}-%{version}.tar.xz
#-------------------------------------------
BuildRequires: chrpath
BuildRequires: desktop-file-utils
BuildRequires: x11-proto-devel
BuildRequires: xfce4-dev-tools
BuildRequires: xfce4-panel-devel
BuildRequires: libxfce4util-devel
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}dbus-1-devel
BuildRequires: %{_lib}dbus-glib-1_2-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}ical-devel
BuildRequires: %{_lib}notify-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}popt-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: gettext-devel
BuildRequires: libpthread-stubs
BuildRequires: libdrm-devel
BuildRequires: %{_lib}xshmfence-devel
BuildRequires: libxxf86vm-devel
#-------------------------------------------
Provides:	xfcalendar
Obsoletes:	xfcalendar < 4.5
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:	%name < %version

%description
Orage is a time-managing application for the Xfce desktop environment,
featuring:

- Time-based events
- Data stored in ical format.
- Recurring appointments
- Reminder up to 2 days before the event starts
- Possibility to choose your alarm sound
- Repeating the alarm sound until you close the reminder window
- Possibility to duplicate an appointment
- Archiving system for keeping your history in different files for
  avoiding overloads in the main working file.

#german
%description -l de
Orage ist eine Zeitverwaltungsanwendung für de Xfce Desktop-Umgebung, 
mit den folgenden Eigenschaften: 

- zeitbasierte Veranstaltungen 
- Speicherung der Daten im iCal-Format. 
- Wiederkehrende Termine 
- Erinnerung bis zu 2 Tage vor Beginn des Ereignisses 
- Die Möglichkeit Ihren Alarmton zu wählen 
- Wiederholen des Alarms bis Sie das Fenster zur Erinnerung schließen
- Möglichkeit einen Termin zu duplizieren 
- Archivierungssystem für die Aufbewahrung Ihrer erledigten Termine in 
  verschiedenen Dateien zur Vermeidung von Überlastungen der wichtigsten Arbeitsdateien.


%prep
%setup -q

%build
%define Werror_cflags %nil
./autogen.sh
%configure2_5x \
	--disable-static \
	--enable-reentrant \
	--enable-dbus \
	--enable-archive \
	--enable-libnotify \
	--enable-libxfce4panel

%make

%install
rm -rf %{buildroot}
%makeinstall_std

#disable rpath in _bin
chrpath -d %{buildroot}/%{_bindir}/*

rm -rf %{buildroot}%{_datadir}/orage/doc

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-only-show-in="XFCE" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README AUTHORS
%doc doc/C/images/*.png doc/C/orage.html
%{_bindir}/*
%{_libdir}/xfce4
%{_datadir}/applications/*
%{_datadir}/xfce4/panel/plugins/xfce4-orageclock-plugin.desktop
%{_iconsdir}/*
%dir %{_datadir}/orage
%{_datadir}/orage/sounds/
%{_datadir}/dbus-1/services/org.xfce.*.service
%{_mandir}/man1/*.*
%{_datadir}/locale/*

%changelog
* Sat Apr 11 2015 ghostbunny <ghostbunny at gmx dot de> 4.12.1-1pclos2015
- 4.12.1

* Fri Apr 10 2015 ghostbunny <ghostbunny at gmx dot de> 4.12.0-1pclos2015
- 4.12.0
- add missing BRs gettext-devel, libpthread-stubs, libdrm-devel, libxshmfence-devel,
  libxxf86vm-devel

* Sat Mar 07 2015 ghostbunny <ghostbunny at gmx dot de> 4.10.0-3pclos2015
- rebuild against new libxfce4util7

* Thu Dec 26 2013 bb <bb> 4.10.0-2pclos2013
- clean up spec file
- fix BR libxfce4util-devel

* Sat Dec 20 2013 ghostbunny <ghostbunny at gmx dot de> 4.10.0-1pclos2013
- 4.10.0
- fix BRs

* Sun Feb 03 2013 ghostbunny <ghostbunny at gmx dot de> 4.8.4-1pclos2013
- 4.8.4

* Thu Sep 20 2012 Neal <nealbrks0 at gmail dot com> 4.8.3-1pclos2012
- 64bit

* Fri Aug 31 2012 ghostbunny <ghostbunny at gmx dot de> 4.8.3-1pclos2012
- 4.8.3
- added german summary and description

* Sun Jan 01 2012 Sproggy <desproggster at gmail.com> 4.8.2-1pclos2012
- update

* Thu Mar 03 2011 Texstar <texstar at gmail.com> 4.8.1-1pclos2011
- 4.8.1

* Fri Jan 08 2010 Texstar <texstar at gmail.com> 4.6.0-3pclos2010
- rebuild

* Wed Oct 07 2009 Neal <nealbrks0@gmail.com> 4.6.0-2pclos2010
- gcc update

* Mon Apr 06 2009 pcserver <pcserver@hushmail.com> 4.6.0-1pclos2007
- create
